require_relative 'shell'
require_relative 'message'
require_relative 'file'
require 'fileutils'

module Fastlane
  module Tools

      def self.clone(git,branch,path,throw_exception=true)
        #如果存在缓存，就删除缓存
        Tools.delete_path(path)
        url = "git clone #{git} #{path} --template= --single-branch --depth 1 --branch #{branch}"
        status = Tools.shell(url,throw_exception)
        unless status == true
            #--depth 1 , 如果branch没有提交，将会导致拉取失败。去掉--depth 1 解决此问题
            url = "git clone #{git} #{path} --template= --single-branch --branch #{branch}"
            status = Tools.shell(url,throw_exception)
        end

        Tools.log(url)
        return status
      end
  end
end
