require 'net/http'
require 'json'
require 'openssl'
require 'open-uri'

module Fastlane
  module Tools
    #脚本生成相关文件存放的地址
    ROCKET_PATH = "/Users/Shared/rocket-cache/"
    #源码repo
    SOURCESPECS = "git@gitlab.dushuclub.io:cocoapods/HDSourceSpecs.git"


    def self.net_post(api,params)
      url = URI.parse(api)
      http = Net::HTTP.new(url.host, url.port)
      # 设置请求参数
      data = params.to_json
      # 设置请求头
      header = {'content-type':'application/json','PRIVATE-TOKEN':'DSscmq3EPy6QoFw_z3p-'}

      response = http.post(url, data, header)
      result = JSON.parse(response.body)
      return result
    end

    def self.net_get(api,params)
      url = URI.parse(api)
      url.query = URI.encode_www_form(params)
      header = {'content-type':'application/json','PRIVATE-TOKEN':'DSscmq3EPy6QoFw_z3p-'}

      http = Net::HTTP.new(url.host, url.port)
      response = http.get(url, header)
      result = JSON.parse(response.body)
      return result
    end
    
  end
end
